> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Volcengine Images

<Tip>
  This endpoint integrates a third-party model. For detailed parameter information, please refer to the official documentation at [Volcengine Docs](https://www.volcengine.com/docs/82379/1541523).
</Tip>


## OpenAPI

````yaml api-reference/endpoint/image/doubao_openapi.json post /v1/images/generations
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Seedream Image
paths:
  /v1/images/generations:
    post:
      tags:
        - Seedream Image
      summary: Generate an image (Seedream)
      operationId: doubaocreateImage
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                prompt:
                  type: string
                image:
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  description: The input image information supports URL or Base64 encoding.
                size:
                  type: string
                seed:
                  type: integer
                response_format:
                  type: string
                watermark:
                  type: boolean
              required:
                - model
                - prompt
            examples:
              Default:
                summary: examples
                value:
                  model: doubao-seedream-4-5-251128
                  prompt: >-
                    充满活力的特写编辑肖像，模特眼神犀利，头戴雕塑感帽子，色彩拼接丰富，眼部焦点锐利，景深较浅，具有Vogue杂志封面的美学风格，采用中画幅拍摄，工作室灯光效果强烈。
                  size: 2K
                  watermark: false
      responses:
        '200':
          description: Image generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ImageResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
              b64_json:
                type: string
              revised_prompt:
                type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````